VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Attributes
vmware::vcenter::vm::hardware::EthernetTypes Class Reference

Defines the data types of the Ethernet API service. More...

List of all members.

## Classes
class | BackingInfo
| The `Ethernet.BackingInfo` class contains information about the physical resource backing a virtual Ethernet adapter. More...
class | BackingSpec
| The `Ethernet.BackingSpec` class provides a specification of the physical resource that backs a virtual Ethernet adapter. More...
class | BackingType
| The `Ethernet.BackingType` enumerated type defines the valid backing types for a virtual Ethernet adapter. More...
class | CreateSpec
| The `Ethernet.CreateSpec` class provides a specification for the configuration of a newly-created virtual Ethernet adapter. More...
class | EmulationType
| The `Ethernet.EmulationType` enumerated type defines the valid emulation types for a virtual Ethernet adapter. More...
class | Info
| The `Ethernet.Info` class contains information about a virtual Ethernet adapter. More...
class | MacAddressType
| The `Ethernet.MacAddressType` enumerated type defines the valid MAC address origins for a virtual Ethernet adapter. More...
class | Summary
| The `Ethernet.Summary` class contains commonly used information about a virtual Ethernet adapter. More...
class | UpdateSpec
| The `Ethernet.UpdateSpec` class describes the updates to be made to the configuration of a virtual Ethernet adapter. More...
## Static Public Attributes
static readonly string | RESOURCE_TYPE = "com.vmware.vcenter.vm.hardware.Ethernet"
| Resource type for the virtual Ethernet adapter.

## Detailed Description

Defines the data types of the Ethernet API service.

## Member Data Documentation

readonly string vmware::vcenter::vm::hardware::EthernetTypes::RESOURCE_TYPE = "com.vmware.vcenter.vm.hardware.Ethernet"`[static]`

Resource type for the virtual Ethernet adapter.

The documentation for this class was generated from the following file:

- EthernetTypes.cs